# Uses of Class
java.beans.EventSetDescriptor

Packages that use EventSetDescriptor
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of EventSetDescriptor in java.beans

Methods in java.beans that return EventSetDescriptor
Modifier and Type
Method
Description
`EventSetDescriptor[]`
BeanInfo.`getEventSetDescriptors()`
Returns the event descriptors of the bean that define the types of events fired by this bean.
`EventSetDescriptor[]`
SimpleBeanInfo.`getEventSetDescriptors()`
Deny knowledge of event sets.